version: '3.8'

services:
  web:
    build: .
    container_name: markdown-to-web
    ports:
      - "5173:80"
    volumes:
      - /shumengya/docker/storage/markdown2web/dist:/usr/share/nginx/html
    restart: unless-stopped
    healthcheck:
      test: ["CMD", "wget", "--quiet", "--tries=1", "--spider", "http://localhost:80"]
      interval: 30s
      timeout: 10s
      retries: 3
